﻿using Competition.Common;
using System;
using System.Collections.Generic;
using System.IO;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace PartOne
{
    class Program
    {
        static void Main(string[] args)
        {
            Console.WriteLine("Zadejte zdrojovy adresar");
            var directory=Console.ReadLine();
            var files = System.IO.Directory.EnumerateFiles(directory);
            foreach (var file in files)
            {
                Console.WriteLine("Zpracovávání souboru:"+file);
                Tower t = new Tower();
                try
                {
                    using (Stream ss = File.Open(file, FileMode.Open))
                    {
                        t.Import(ss);
                    }
                    using (Stream s = File.Open(Path.Combine(System.IO.Path.GetDirectoryName(file), System.IO.Path.GetFileNameWithoutExtension(file) + ".9"), FileMode.Create))
                    {
                        t.SolveBlocksWithSaving(s);
                    }
                    Console.WriteLine("Soubor uspesne zpracovan:" + file);
                }
                catch (Exception ex)
                {
                    Console.WriteLine("Zpracovávání souboru skoncilo neuspesne:" + file);
                }
            }
            Console.ReadKey();
        }
    }
}
